import { IMouseEvent } from "@codingame/monaco-vscode-api/vscode/vs/base/browser/mouseEvent";
import { ICodeEditor } from "@codingame/monaco-vscode-api/vscode/vs/editor/browser/editorBrowser";
import { Position } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/core/position";
import { ILanguageFeatureDebounceService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/languageFeatureDebounce";
import { ILanguageFeaturesService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/languageFeatures";
import { ICommandService } from "@codingame/monaco-vscode-api/vscode/vs/platform/commands/common/commands.service";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IContextKeyService } from "@codingame/monaco-vscode-api/vscode/vs/platform/contextkey/common/contextkey.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IUriIdentityService } from "@codingame/monaco-vscode-api/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { IDebugEditorContribution } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/debug/common/debug";
import { IDebugService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/debug/common/debug.service";
import { IHostService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/host/browser/host.service";
export declare const debugInlineForeground: string;
export declare const debugInlineBackground: string;
export declare class DebugEditorContribution implements IDebugEditorContribution {
    private editor;
    private readonly debugService;
    private readonly instantiationService;
    private readonly commandService;
    private readonly configurationService;
    private readonly hostService;
    private readonly uriIdentityService;
    private readonly languageFeaturesService;
    private toDispose;
    private hoverWidget;
    private hoverPosition?;
    private mouseDown;
    private exceptionWidgetVisible;
    private gutterIsHovered;
    private exceptionWidget;
    private configurationWidget;
    private readonly altListener;
    private altPressed;
    private oldDecorations;
    private readonly displayedStore;
    private editorHoverOptions;
    private readonly debounceInfo;
    private readonly defaultHoverLockout;
    constructor(editor: ICodeEditor, debugService: IDebugService, instantiationService: IInstantiationService, commandService: ICommandService, configurationService: IConfigurationService, hostService: IHostService, uriIdentityService: IUriIdentityService, contextKeyService: IContextKeyService, languageFeaturesService: ILanguageFeaturesService, featureDebounceService: ILanguageFeatureDebounceService);
    private registerListeners;
    private _wordToLineNumbersMap;
    private updateHoverConfiguration;
    private addDocumentListeners;
    private applyDocumentListeners;
    showHover(position: Position, focus: boolean, mouseEvent?: IMouseEvent): Promise<void>;
    private preventDefaultEditorHover;
    private showEditorHover;
    private onFocusStackFrame;
    private get hoverDelay();
    private get showHoverScheduler();
    private hideHoverWidget;
    private onEditorMouseDown;
    private onEditorMouseMove;
    private onKeyDown;
    private toggleExceptionWidget;
    private showExceptionWidget;
    closeExceptionWidget(): void;
    addLaunchConfiguration(): Promise<void>;
    private get removeInlineValuesScheduler();
    private get updateInlineValuesScheduler();
    private updateInlineValueDecorations;
    dispose(): void;
}
